## com.baidubce.services.bmr.model
Class ListInstanceGroupsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.ListInstanceGroupsRequest

    public class ListInstanceGroupsRequest

extends AbstractBceRequest

Provide options for getting the instance groups of the target cluster. The essential option is the ID of cluster.

Constructor Summary
`ListInstanceGroupsRequest()`

Method Summary
`String` `getClusterId()`
`void` `setClusterId(String clusterId)`
`ListInstanceGroupsRequest` `withClusterId(String clusterId)` Configure the cluster ID for the request.
`ListInstanceGroupsRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListInstanceGroupsRequest

    public ListInstanceGroupsRequest()

Method Detail

### setClusterId

    public void setClusterId(String clusterId)

### getClusterId

    public String getClusterId()

### withClusterId

    public ListInstanceGroupsRequest withClusterId(String clusterId)

  Configure the cluster ID for the request.

  Parameters:
    `clusterId` - The ID of the target cluster.
  Returns:
    ListInstanceGroupsRequest

### withRequestCredentials

    public ListInstanceGroupsRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    ListInstanceGroupsRequest

Copyright © 2016. All rights reserved.